# $Id: Mkinclude.in,v 0.53 1999/06/02 02:30:25 kagimoto Exp $
#
#       include file for Makefile
#

# suffix rules

.SUFFIXES : .o .f .c

.c :
	$(CC) $(CFLAGS) -o $@ $< $(LDFLAGS) $(LDLIBS)

.c.o :
	$(CC) $(CFLAGS) -c $<

.f.o :
	$(FC) $(FFLAGS) -c $<

.f :
	$(FC) $(FFLAGS) -o $@ $< $(LDFLAGS) $(LDLIBS)

# macro definitions

prefix		= @prefix@ 
exec_prefix	= @exec_prefix@
DCLDIR		= @DCLDIR@
BINDIR          = $(DCLDIR)/bin
LIBDIR          = $(DCLDIR)/lib

DBASENAME       = dcldbase
DBASEDIR        = $(LIBDIR)/$(DBASENAME)

DCLLIBNAME      = dcl
DCLLIBFILE      = $(LIBDIR)/lib$(DCLLIBNAME).a
DCLLIBOPT       = -l$(DCLLIBNAME)
DCLLIBPATH      = -L$(LIBDIR)

XINCPATH        = @X_INCLUDES@
XLIBPATH        = @X_LIBS@
XLIBOPT         = @X_PRE_LIBS@ @X_LIBRARIES@

MATHLIBOPT      = -lm

SRCDIR          = $(DCLDIR)/src
INCDIR          = $(DCLDIR)/include
LBINDIR         = $(DCLDIR)/bin
DEMODIR         = $(DCLDIR)/demo
DOCDIR          = $(DCLDIR)/doc
ETCDIR          = $(DCLDIR)/etc
PSDIR           = $(DCLDIR)/ps

MISC1EXT        = clcklib fiolib randlib hexlib reallib
OLDSRC          = @OLDSRC@

F2CINCPATH    	= -I$(DCLDIR)/f2clib
F2CLIBPATH    	= -L$(DCLDIR)/f2clib
F2CLIBOPT     	= -lf2c4dcl
LIBF2C		= $(DCLDIR)/f2clib/libf2c4dcl.a

DCLFRT          = dclfrt
DCLCC           = dclcc

SHELL           = /bin/sh
MAKE            = make
CC		= @CC@
CFLAGS		= @CFLAGS@ $(XINCPATH) $(F2CINCPATH)
FC		= @FC@
FFLAGS          = @FFLAGS@
LD              = ld
LDFLAGS         = $(DCLLIBPATH) $(XLIBPATH) $(F2CLIBPATH)
LDLIBS          = @FLIBS@ $(DCLLIBOPT) $(F2CLIBOPT) @X_EXTRA_LIBS@ $(XLIBOPT) $(MATHLIBOPT) 
AR              = ar
ARFLAGS         = vru
RM              = rm -f
CP              = cp
MV              = mv -f
RANLIB          = @RANLIB@
CAT             = cat
AWK		= @AWK@
SED		= @SED@

JLATEX          = @JLATEX@
DVI2JPS         = @DVI2JPS@

# some constants used in math1/syslib/glpget.f

INTMAX          = @INTMAX@
REALMAX         = @REALMAX@
REALMIN         = @REALMIN@
REPSL           = @REPSL@

# some constants used in misc1/clcklib/clckst.c

CLK_PER_SEC     = @CLK_PER_SEC@
CLK_RSL_TCK     = @CLK_RSL_TCK@

# selection of source code in math1/oslib

OSQARN          = @OSQARN_OPT@
OSGARG          = @OSGARG_OPT@

# selection of source code in math1/csgi

CSGI            = @CSGI_OPT@

#selection of function atexit()
IF_ONEXIT       = @IF_ONEXIT@

